Imported Upstream version 1.7.6
[platform/upstream/harfbuzz.git] / test / shaping / data / text-rendering-tests / Makefile.in
1 # Makefile.in generated by automake 1.15.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2017 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Process this file with automake to produce Makefile.in
18 VPATH = @srcdir@
19 am__is_gnu_make = { \
20   if test -z '$(MAKELEVEL)'; then \
21     false; \
22   elif test -n '$(MAKE_HOST)'; then \
23     true; \
24   elif test -n '$(MAKE_VERSION)' && test -n '$(CURDIR)'; then \
25     true; \
26   else \
27     false; \
28   fi; \
29 }
30 am__make_running_with_option = \
31   case $${target_option-} in \
32       ?) ;; \
33       *) echo "am__make_running_with_option: internal error: invalid" \
34               "target option '$${target_option-}' specified" >&2; \
35          exit 1;; \
36   esac; \
37   has_opt=no; \
38   sane_makeflags=$$MAKEFLAGS; \
39   if $(am__is_gnu_make); then \
40     sane_makeflags=$$MFLAGS; \
41   else \
42     case $$MAKEFLAGS in \
43       *\\[\ \   ]*) \
44         bs=\\; \
45         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
46           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
47     esac; \
48   fi; \
49   skip_next=no; \
50   strip_trailopt () \
51   { \
52     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
53   }; \
54   for flg in $$sane_makeflags; do \
55     test $$skip_next = yes && { skip_next=no; continue; }; \
56     case $$flg in \
57       *=*|--*) continue;; \
58         -*I) strip_trailopt 'I'; skip_next=yes;; \
59       -*I?*) strip_trailopt 'I';; \
60         -*O) strip_trailopt 'O'; skip_next=yes;; \
61       -*O?*) strip_trailopt 'O';; \
62         -*l) strip_trailopt 'l'; skip_next=yes;; \
63       -*l?*) strip_trailopt 'l';; \
64       -[dEDm]) skip_next=yes;; \
65       -[JT]) skip_next=yes;; \
66     esac; \
67     case $$flg in \
68       *$$target_option*) has_opt=yes; break;; \
69     esac; \
70   done; \
71   test $$has_opt = yes
72 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
73 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
74 pkgdatadir = $(datadir)/@PACKAGE@
75 pkgincludedir = $(includedir)/@PACKAGE@
76 pkglibdir = $(libdir)/@PACKAGE@
77 pkglibexecdir = $(libexecdir)/@PACKAGE@
78 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
79 install_sh_DATA = $(install_sh) -c -m 644
80 install_sh_PROGRAM = $(install_sh) -c
81 install_sh_SCRIPT = $(install_sh) -c
82 INSTALL_HEADER = $(INSTALL_DATA)
83 transform = $(program_transform_name)
84 NORMAL_INSTALL = :
85 PRE_INSTALL = :
86 POST_INSTALL = :
87 NORMAL_UNINSTALL = :
88 PRE_UNINSTALL = :
89 POST_UNINSTALL = :
90 build_triplet = @build@
91 host_triplet = @host@
92 TESTS = tests/AVAR-1.tests tests/CFF-1.tests tests/CFF2-1.tests \
93         tests/CFF-2.tests tests/CMAP-1.tests tests/CMAP-2.tests \
94         tests/CVAR-1.tests tests/CVAR-2.tests tests/GLYF-1.tests \
95         tests/GPOS-1.tests tests/GPOS-2.tests tests/GPOS-3.tests \
96         tests/GPOS-4.tests tests/GPOS-5.tests tests/GSUB-1.tests \
97         tests/GSUB-2.tests tests/GVAR-1.tests tests/GVAR-2.tests \
98         tests/GVAR-3.tests tests/GVAR-4.tests tests/GVAR-5.tests \
99         tests/GVAR-6.tests tests/GVAR-7.tests tests/GVAR-8.tests \
100         tests/GVAR-9.tests tests/HVAR-1.tests tests/HVAR-2.tests \
101         tests/KERN-1.tests tests/KERN-2.tests tests/SHBALI-3.tests \
102         tests/SHKNDA-1.tests $(am__EXEEXT_1)
103 subdir = test/shaping/data/text-rendering-tests
104 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
105 am__aclocal_m4_deps = $(top_srcdir)/m4/ax_code_coverage.m4 \
106         $(top_srcdir)/m4/ax_pthread.m4 $(top_srcdir)/m4/gtk-doc.m4 \
107         $(top_srcdir)/m4/libtool.m4 $(top_srcdir)/m4/ltoptions.m4 \
108         $(top_srcdir)/m4/ltsugar.m4 $(top_srcdir)/m4/ltversion.m4 \
109         $(top_srcdir)/m4/lt~obsolete.m4 $(top_srcdir)/m4/pkg.m4 \
110         $(top_srcdir)/configure.ac
111 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
112         $(ACLOCAL_M4)
113 DIST_COMMON = $(srcdir)/Makefile.am $(am__DIST_COMMON)
114 mkinstalldirs = $(install_sh) -d
115 CONFIG_HEADER = $(top_builddir)/config.h
116 CONFIG_CLEAN_FILES =
117 CONFIG_CLEAN_VPATH_FILES =
118 AM_V_P = $(am__v_P_@AM_V@)
119 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
120 am__v_P_0 = false
121 am__v_P_1 = :
122 AM_V_GEN = $(am__v_GEN_@AM_V@)
123 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
124 am__v_GEN_0 = @echo "  GEN     " $@;
125 am__v_GEN_1 = 
126 AM_V_at = $(am__v_at_@AM_V@)
127 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
128 am__v_at_0 = @
129 am__v_at_1 = 
130 SOURCES =
131 DIST_SOURCES =
132 am__can_run_installinfo = \
133   case $$AM_UPDATE_INFO_DIR in \
134     n|no|NO) false;; \
135     *) (install-info --version) >/dev/null 2>&1;; \
136   esac
137 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
138 am__tty_colors_dummy = \
139   mgn= red= grn= lgn= blu= brg= std=; \
140   am__color_tests=no
141 am__tty_colors = { \
142   $(am__tty_colors_dummy); \
143   if test "X$(AM_COLOR_TESTS)" = Xno; then \
144     am__color_tests=no; \
145   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
146     am__color_tests=yes; \
147   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
148     am__color_tests=yes; \
149   fi; \
150   if test $$am__color_tests = yes; then \
151     red='\e[0;31m'; \
152     grn='\e[0;32m'; \
153     lgn='\e[1;32m'; \
154     blu='\e[1;34m'; \
155     mgn='\e[0;35m'; \
156     brg='\e[1m'; \
157     std='\e[m'; \
158   fi; \
159 }
160 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
161 am__vpath_adj = case $$p in \
162     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
163     *) f=$$p;; \
164   esac;
165 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
166 am__install_max = 40
167 am__nobase_strip_setup = \
168   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
169 am__nobase_strip = \
170   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
171 am__nobase_list = $(am__nobase_strip_setup); \
172   for p in $$list; do echo "$$p $$p"; done | \
173   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
174   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
175     if (++n[$$2] == $(am__install_max)) \
176       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
177     END { for (dir in files) print dir, files[dir] }'
178 am__base_list = \
179   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
180   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
181 am__uninstall_files_from_dir = { \
182   test -z "$$files" \
183     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
184     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
185          $(am__cd) "$$dir" && rm -f $$files; }; \
186   }
187 am__recheck_rx = ^[     ]*:recheck:[    ]*
188 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
189 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
190 # A command that, given a newline-separated list of test names on the
191 # standard input, print the name of the tests that are to be re-run
192 # upon "make recheck".
193 am__list_recheck_tests = $(AWK) '{ \
194   recheck = 1; \
195   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
196     { \
197       if (rc < 0) \
198         { \
199           if ((getline line2 < ($$0 ".log")) < 0) \
200             recheck = 0; \
201           break; \
202         } \
203       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
204         { \
205           recheck = 0; \
206           break; \
207         } \
208       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
209         { \
210           break; \
211         } \
212     }; \
213   if (recheck) \
214     print $$0; \
215   close ($$0 ".trs"); \
216   close ($$0 ".log"); \
217 }'
218 # A command that, given a newline-separated list of test names on the
219 # standard input, create the global log from their .trs and .log files.
220 am__create_global_log = $(AWK) ' \
221 function fatal(msg) \
222 { \
223   print "fatal: making $@: " msg | "cat >&2"; \
224   exit 1; \
225 } \
226 function rst_section(header) \
227 { \
228   print header; \
229   len = length(header); \
230   for (i = 1; i <= len; i = i + 1) \
231     printf "="; \
232   printf "\n\n"; \
233 } \
234 { \
235   copy_in_global_log = 1; \
236   global_test_result = "RUN"; \
237   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
238     { \
239       if (rc < 0) \
240          fatal("failed to read from " $$0 ".trs"); \
241       if (line ~ /$(am__global_test_result_rx)/) \
242         { \
243           sub("$(am__global_test_result_rx)", "", line); \
244           sub("[        ]*$$", "", line); \
245           global_test_result = line; \
246         } \
247       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
248         copy_in_global_log = 0; \
249     }; \
250   if (copy_in_global_log) \
251     { \
252       rst_section(global_test_result ": " $$0); \
253       while ((rc = (getline line < ($$0 ".log"))) != 0) \
254       { \
255         if (rc < 0) \
256           fatal("failed to read from " $$0 ".log"); \
257         print line; \
258       }; \
259       printf "\n"; \
260     }; \
261   close ($$0 ".trs"); \
262   close ($$0 ".log"); \
263 }'
264 # Restructured Text title.
265 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
266 # Solaris 10 'make', and several other traditional 'make' implementations,
267 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
268 # by disabling -e (using the XSI extension "set +e") if it's set.
269 am__sh_e_setup = case $$- in *e*) set +e;; esac
270 # Default flags passed to test drivers.
271 am__common_driver_flags = \
272   --color-tests "$$am__color_tests" \
273   --enable-hard-errors "$$am__enable_hard_errors" \
274   --expect-failure "$$am__expect_failure"
275 # To be inserted before the command running the test.  Creates the
276 # directory for the log if needed.  Stores in $dir the directory
277 # containing $f, in $tst the test, in $log the log.  Executes the
278 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
279 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
280 # will run the test scripts (or their associated LOG_COMPILER, if
281 # thy have one).
282 am__check_pre = \
283 $(am__sh_e_setup);                                      \
284 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
285 $(am__tty_colors);                                      \
286 srcdir=$(srcdir); export srcdir;                        \
287 case "$@" in                                            \
288   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
289     *) am__odir=.;;                                     \
290 esac;                                                   \
291 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
292   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
293 if test -f "./$$f"; then dir=./;                        \
294 elif test -f "$$f"; then dir=;                          \
295 else dir="$(srcdir)/"; fi;                              \
296 tst=$$dir$$f; log='$@';                                 \
297 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
298   am__enable_hard_errors=no;                            \
299 else                                                    \
300   am__enable_hard_errors=yes;                           \
301 fi;                                                     \
302 case " $(XFAIL_TESTS) " in                              \
303   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
304     am__expect_failure=yes;;                            \
305   *)                                                    \
306     am__expect_failure=no;;                             \
307 esac;                                                   \
308 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
309 # A shell command to get the names of the tests scripts with any registered
310 # extension removed (i.e., equivalently, the names of the test logs, with
311 # the '.log' extension removed).  The result is saved in the shell variable
312 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
313 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
314 # since that might cause problem with VPATH rewrites for suffix-less tests.
315 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
316 am__set_TESTS_bases = \
317   bases='$(TEST_LOGS)'; \
318   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
319   bases=`echo $$bases`
320 RECHECK_LOGS = $(TEST_LOGS)
321 AM_RECURSIVE_TARGETS = check recheck
322 am__EXEEXT_1 =
323 TEST_SUITE_LOG = test-suite.log
324 am__test_logs1 = $(TESTS:=.log)
325 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
326 TEST_LOGS = $(am__test_logs2:.tests.log=.log)
327 TESTS_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
328 TESTS_LOG_COMPILE = $(TESTS_LOG_COMPILER) $(AM_TESTS_LOG_FLAGS) \
329         $(TESTS_LOG_FLAGS)
330 am__set_b = \
331   case '$@' in \
332     */*) \
333       case '$*' in \
334         */*) b='$*';; \
335           *) b=`echo '$@' | sed 's/\.log$$//'`; \
336        esac;; \
337     *) \
338       b='$*';; \
339   esac
340 am__DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.sources \
341         $(top_srcdir)/test-driver COPYING README
342 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
343 ACLOCAL = @ACLOCAL@
344 AMTAR = @AMTAR@
345 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
346 AR = @AR@
347 AUTOCONF = @AUTOCONF@
348 AUTOHEADER = @AUTOHEADER@
349 AUTOMAKE = @AUTOMAKE@
350 AWK = @AWK@
351 CAIRO_CFLAGS = @CAIRO_CFLAGS@
352 CAIRO_FT_CFLAGS = @CAIRO_FT_CFLAGS@
353 CAIRO_FT_LIBS = @CAIRO_FT_LIBS@
354 CAIRO_LIBS = @CAIRO_LIBS@
355 CC = @CC@
356 CCDEPMODE = @CCDEPMODE@
357 CFLAGS = @CFLAGS@
358 CODE_COVERAGE_CFLAGS = @CODE_COVERAGE_CFLAGS@
359 CODE_COVERAGE_CPPFLAGS = @CODE_COVERAGE_CPPFLAGS@
360 CODE_COVERAGE_CXXFLAGS = @CODE_COVERAGE_CXXFLAGS@
361 CODE_COVERAGE_ENABLED = @CODE_COVERAGE_ENABLED@
362 CODE_COVERAGE_LDFLAGS = @CODE_COVERAGE_LDFLAGS@
363 CODE_COVERAGE_LIBS = @CODE_COVERAGE_LIBS@
364 CORETEXT_CFLAGS = @CORETEXT_CFLAGS@
365 CORETEXT_LIBS = @CORETEXT_LIBS@
366 CPP = @CPP@
367 CPPFLAGS = @CPPFLAGS@
368 CXX = @CXX@
369 CXXCPP = @CXXCPP@
370 CXXDEPMODE = @CXXDEPMODE@
371 CXXFLAGS = @CXXFLAGS@
372 CYGPATH_W = @CYGPATH_W@
373 DEFS = @DEFS@
374 DEPDIR = @DEPDIR@
375 DIRECTWRITE_CXXFLAGS = @DIRECTWRITE_CXXFLAGS@
376 DIRECTWRITE_LIBS = @DIRECTWRITE_LIBS@
377 DLLTOOL = @DLLTOOL@
378 DSYMUTIL = @DSYMUTIL@
379 DUMPBIN = @DUMPBIN@
380 ECHO_C = @ECHO_C@
381 ECHO_N = @ECHO_N@
382 ECHO_T = @ECHO_T@
383 EGREP = @EGREP@
384 EXEEXT = @EXEEXT@
385 FGREP = @FGREP@
386 FONTCONFIG_CFLAGS = @FONTCONFIG_CFLAGS@
387 FONTCONFIG_LIBS = @FONTCONFIG_LIBS@
388 FREETYPE_CFLAGS = @FREETYPE_CFLAGS@
389 FREETYPE_DEPS = @FREETYPE_DEPS@
390 FREETYPE_LIBS = @FREETYPE_LIBS@
391 GCOV = @GCOV@
392 GENHTML = @GENHTML@
393 GIT = @GIT@
394 GLIB_CFLAGS = @GLIB_CFLAGS@
395 GLIB_DEPS = @GLIB_DEPS@
396 GLIB_LIBS = @GLIB_LIBS@
397 GLIB_MKENUMS = @GLIB_MKENUMS@
398 GOBJECT_CFLAGS = @GOBJECT_CFLAGS@
399 GOBJECT_LIBS = @GOBJECT_LIBS@
400 GRAPHITE2_CFLAGS = @GRAPHITE2_CFLAGS@
401 GRAPHITE2_DEPS = @GRAPHITE2_DEPS@
402 GRAPHITE2_LIBS = @GRAPHITE2_LIBS@
403 GREP = @GREP@
404 GTKDOC_CHECK = @GTKDOC_CHECK@
405 GTKDOC_CHECK_PATH = @GTKDOC_CHECK_PATH@
406 GTKDOC_DEPS_CFLAGS = @GTKDOC_DEPS_CFLAGS@
407 GTKDOC_DEPS_LIBS = @GTKDOC_DEPS_LIBS@
408 GTKDOC_MKPDF = @GTKDOC_MKPDF@
409 GTKDOC_REBASE = @GTKDOC_REBASE@
410 HB_LIBTOOL_VERSION_INFO = @HB_LIBTOOL_VERSION_INFO@
411 HB_VERSION = @HB_VERSION@
412 HB_VERSION_MAJOR = @HB_VERSION_MAJOR@
413 HB_VERSION_MICRO = @HB_VERSION_MICRO@
414 HB_VERSION_MINOR = @HB_VERSION_MINOR@
415 HTML_DIR = @HTML_DIR@
416 ICU_CFLAGS = @ICU_CFLAGS@
417 ICU_CONFIG = @ICU_CONFIG@
418 ICU_LIBS = @ICU_LIBS@
419 INSTALL = @INSTALL@
420 INSTALL_DATA = @INSTALL_DATA@
421 INSTALL_PROGRAM = @INSTALL_PROGRAM@
422 INSTALL_SCRIPT = @INSTALL_SCRIPT@
423 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
424 INTROSPECTION_CFLAGS = @INTROSPECTION_CFLAGS@
425 INTROSPECTION_COMPILER = @INTROSPECTION_COMPILER@
426 INTROSPECTION_GENERATE = @INTROSPECTION_GENERATE@
427 INTROSPECTION_GIRDIR = @INTROSPECTION_GIRDIR@
428 INTROSPECTION_LIBS = @INTROSPECTION_LIBS@
429 INTROSPECTION_MAKEFILE = @INTROSPECTION_MAKEFILE@
430 INTROSPECTION_SCANNER = @INTROSPECTION_SCANNER@
431 INTROSPECTION_TYPELIBDIR = @INTROSPECTION_TYPELIBDIR@
432 LCOV = @LCOV@
433 LD = @LD@
434 LDFLAGS = @LDFLAGS@
435 LIBOBJS = @LIBOBJS@
436 LIBS = @LIBS@
437 LIBTOOL = @LIBTOOL@
438 LIPO = @LIPO@
439 LN_S = @LN_S@
440 LTLIBOBJS = @LTLIBOBJS@
441 LT_SYS_LIBRARY_PATH = @LT_SYS_LIBRARY_PATH@
442 MAKEINFO = @MAKEINFO@
443 MANIFEST_TOOL = @MANIFEST_TOOL@
444 MKDIR_P = @MKDIR_P@
445 NM = @NM@
446 NMEDIT = @NMEDIT@
447 OBJDUMP = @OBJDUMP@
448 OBJEXT = @OBJEXT@
449 OTOOL = @OTOOL@
450 OTOOL64 = @OTOOL64@
451 PACKAGE = @PACKAGE@
452 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
453 PACKAGE_NAME = @PACKAGE_NAME@
454 PACKAGE_STRING = @PACKAGE_STRING@
455 PACKAGE_TARNAME = @PACKAGE_TARNAME@
456 PACKAGE_URL = @PACKAGE_URL@
457 PACKAGE_VERSION = @PACKAGE_VERSION@
458 PATH_SEPARATOR = @PATH_SEPARATOR@
459 PKG_CONFIG = @PKG_CONFIG@
460 PTHREAD_CC = @PTHREAD_CC@
461 PTHREAD_CFLAGS = @PTHREAD_CFLAGS@
462 PTHREAD_LIBS = @PTHREAD_LIBS@
463 RAGEL = @RAGEL@
464 RANLIB = @RANLIB@
465 SED = @SED@
466 SET_MAKE = @SET_MAKE@
467 SHELL = @SHELL@
468 STRIP = @STRIP@
469 UNISCRIBE_CFLAGS = @UNISCRIBE_CFLAGS@
470 UNISCRIBE_LIBS = @UNISCRIBE_LIBS@
471 VERSION = @VERSION@
472 abs_builddir = @abs_builddir@
473 abs_srcdir = @abs_srcdir@
474 abs_top_builddir = @abs_top_builddir@
475 abs_top_srcdir = @abs_top_srcdir@
476 ac_ct_AR = @ac_ct_AR@
477 ac_ct_CC = @ac_ct_CC@
478 ac_ct_CXX = @ac_ct_CXX@
479 ac_ct_DUMPBIN = @ac_ct_DUMPBIN@
480 am__include = @am__include@
481 am__leading_dot = @am__leading_dot@
482 am__quote = @am__quote@
483 am__tar = @am__tar@
484 am__untar = @am__untar@
485 ax_pthread_config = @ax_pthread_config@
486 bindir = @bindir@
487 build = @build@
488 build_alias = @build_alias@
489 build_cpu = @build_cpu@
490 build_os = @build_os@
491 build_vendor = @build_vendor@
492 builddir = @builddir@
493 datadir = @datadir@
494 datarootdir = @datarootdir@
495 docdir = @docdir@
496 dvidir = @dvidir@
497 exec_prefix = @exec_prefix@
498 have_gobject = @have_gobject@
499 host = @host@
500 host_alias = @host_alias@
501 host_cpu = @host_cpu@
502 host_os = @host_os@
503 host_vendor = @host_vendor@
504 htmldir = @htmldir@
505 includedir = @includedir@
506 infodir = @infodir@
507 install_sh = @install_sh@
508 libdir = @libdir@
509 libexecdir = @libexecdir@
510 localedir = @localedir@
511 localstatedir = @localstatedir@
512 mandir = @mandir@
513 mkdir_p = @mkdir_p@
514 oldincludedir = @oldincludedir@
515 pdfdir = @pdfdir@
516 prefix = @prefix@
517 program_transform_name = @program_transform_name@
518 psdir = @psdir@
519 runstatedir = @runstatedir@
520 sbindir = @sbindir@
521 sharedstatedir = @sharedstatedir@
522 srcdir = @srcdir@
523 sysconfdir = @sysconfdir@
524 target_alias = @target_alias@
525 top_build_prefix = @top_build_prefix@
526 top_builddir = @top_builddir@
527 top_srcdir = @top_srcdir@
528 NULL = 
529 EXTRA_DIST = \
530         README \
531         COPYING \
532         update.sh \
533         extract-tests.py \
534         fonts \
535         $(TESTS) \
536         $(NULL)
537
538 TEST_EXTENSIONS = .tests
539 TESTS_LOG_COMPILER = $(srcdir)/../../run-tests.py $(top_builddir)/util/hb-shape$(EXEEXT)
540 DISBALED_TESTS = \
541         tests/CMAP-3.tests \
542         tests/MORX-10.tests \
543         tests/MORX-11.tests \
544         tests/MORX-12.tests \
545         tests/MORX-13.tests \
546         tests/MORX-14.tests \
547         tests/MORX-16.tests \
548         tests/MORX-17.tests \
549         tests/MORX-18.tests \
550         tests/MORX-19.tests \
551         tests/MORX-1.tests \
552         tests/MORX-20.tests \
553         tests/MORX-21.tests \
554         tests/MORX-22.tests \
555         tests/MORX-23.tests \
556         tests/MORX-25.tests \
557         tests/MORX-26.tests \
558         tests/MORX-2.tests \
559         tests/MORX-3.tests \
560         tests/MORX-4.tests \
561         tests/MORX-5.tests \
562         tests/MORX-6.tests \
563         tests/MORX-7.tests \
564         tests/MORX-8.tests \
565         tests/MORX-9.tests \
566         tests/SHARAN-1.tests \
567         tests/SHBALI-1.tests \
568         tests/SHBALI-2.tests \
569         tests/SHKNDA-2.tests \
570         tests/SHKNDA-3.tests \
571         $(NULL)
572
573 all: all-am
574
575 .SUFFIXES:
576 .SUFFIXES: .log .tests .tests$(EXEEXT) .trs
577 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am $(srcdir)/Makefile.sources $(am__configure_deps)
578         @for dep in $?; do \
579           case '$(am__configure_deps)' in \
580             *$$dep*) \
581               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
582                 && { if test -f $@; then exit 0; else break; fi; }; \
583               exit 1;; \
584           esac; \
585         done; \
586         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnits test/shaping/data/text-rendering-tests/Makefile'; \
587         $(am__cd) $(top_srcdir) && \
588           $(AUTOMAKE) --gnits test/shaping/data/text-rendering-tests/Makefile
589 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
590         @case '$?' in \
591           *config.status*) \
592             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
593           *) \
594             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
595             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
596         esac;
597 $(srcdir)/Makefile.sources $(am__empty):
598
599 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
600         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
601
602 $(top_srcdir)/configure:  $(am__configure_deps)
603         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
604 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
605         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
606 $(am__aclocal_m4_deps):
607
608 mostlyclean-libtool:
609         -rm -f *.lo
610
611 clean-libtool:
612         -rm -rf .libs _libs
613 tags TAGS:
614
615 ctags CTAGS:
616
617 cscope cscopelist:
618
619
620 # Recover from deleted '.trs' file; this should ensure that
621 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
622 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
623 # to avoid problems with "make -n".
624 .log.trs:
625         rm -f $< $@
626         $(MAKE) $(AM_MAKEFLAGS) $<
627
628 # Leading 'am--fnord' is there to ensure the list of targets does not
629 # expand to empty, as could happen e.g. with make check TESTS=''.
630 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
631 am--force-recheck:
632         @:
633
634 $(TEST_SUITE_LOG): $(TEST_LOGS)
635         @$(am__set_TESTS_bases); \
636         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
637         redo_bases=`for i in $$bases; do \
638                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
639                     done`; \
640         if test -n "$$redo_bases"; then \
641           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
642           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
643           if $(am__make_dryrun); then :; else \
644             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
645           fi; \
646         fi; \
647         if test -n "$$am__remaking_logs"; then \
648           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
649                "recursion detected" >&2; \
650         elif test -n "$$redo_logs"; then \
651           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
652         fi; \
653         if $(am__make_dryrun); then :; else \
654           st=0;  \
655           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
656           for i in $$redo_bases; do \
657             test -f $$i.trs && test -r $$i.trs \
658               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
659             test -f $$i.log && test -r $$i.log \
660               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
661           done; \
662           test $$st -eq 0 || exit 1; \
663         fi
664         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
665         ws='[   ]'; \
666         results=`for b in $$bases; do echo $$b.trs; done`; \
667         test -n "$$results" || results=/dev/null; \
668         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
669         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
670         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
671         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
672         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
673         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
674         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
675         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
676           success=true; \
677         else \
678           success=false; \
679         fi; \
680         br='==================='; br=$$br$$br$$br$$br; \
681         result_count () \
682         { \
683             if test x"$$1" = x"--maybe-color"; then \
684               maybe_colorize=yes; \
685             elif test x"$$1" = x"--no-color"; then \
686               maybe_colorize=no; \
687             else \
688               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
689             fi; \
690             shift; \
691             desc=$$1 count=$$2; \
692             if test $$maybe_colorize = yes && test $$count -gt 0; then \
693               color_start=$$3 color_end=$$std; \
694             else \
695               color_start= color_end=; \
696             fi; \
697             echo "$${color_start}# $$desc $$count$${color_end}"; \
698         }; \
699         create_testsuite_report () \
700         { \
701           result_count $$1 "TOTAL:" $$all   "$$brg"; \
702           result_count $$1 "PASS: " $$pass  "$$grn"; \
703           result_count $$1 "SKIP: " $$skip  "$$blu"; \
704           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
705           result_count $$1 "FAIL: " $$fail  "$$red"; \
706           result_count $$1 "XPASS:" $$xpass "$$red"; \
707           result_count $$1 "ERROR:" $$error "$$mgn"; \
708         }; \
709         {                                                               \
710           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
711             $(am__rst_title);                                           \
712           create_testsuite_report --no-color;                           \
713           echo;                                                         \
714           echo ".. contents:: :depth: 2";                               \
715           echo;                                                         \
716           for b in $$bases; do echo $$b; done                           \
717             | $(am__create_global_log);                                 \
718         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
719         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
720         if $$success; then                                              \
721           col="$$grn";                                                  \
722          else                                                           \
723           col="$$red";                                                  \
724           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
725         fi;                                                             \
726         echo "$${col}$$br$${std}";                                      \
727         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
728         echo "$${col}$$br$${std}";                                      \
729         create_testsuite_report --maybe-color;                          \
730         echo "$$col$$br$$std";                                          \
731         if $$success; then :; else                                      \
732           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
733           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
734             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
735           fi;                                                           \
736           echo "$$col$$br$$std";                                        \
737         fi;                                                             \
738         $$success || exit 1
739
740 check-TESTS:
741         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
742         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
743         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
744         @set +e; $(am__set_TESTS_bases); \
745         log_list=`for i in $$bases; do echo $$i.log; done`; \
746         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
747         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
748         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
749         exit $$?;
750 recheck: all 
751         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
752         @set +e; $(am__set_TESTS_bases); \
753         bases=`for i in $$bases; do echo $$i; done \
754                  | $(am__list_recheck_tests)` || exit 1; \
755         log_list=`for i in $$bases; do echo $$i.log; done`; \
756         log_list=`echo $$log_list`; \
757         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
758                 am__force_recheck=am--force-recheck \
759                 TEST_LOGS="$$log_list"; \
760         exit $$?
761 .tests.log:
762         @p='$<'; \
763         $(am__set_b); \
764         $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
765         --log-file $$b.log --trs-file $$b.trs \
766         $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
767         "$$tst" $(AM_TESTS_FD_REDIRECT)
768 @am__EXEEXT_TRUE@.tests$(EXEEXT).log:
769 @am__EXEEXT_TRUE@       @p='$<'; \
770 @am__EXEEXT_TRUE@       $(am__set_b); \
771 @am__EXEEXT_TRUE@       $(am__check_pre) $(TESTS_LOG_DRIVER) --test-name "$$f" \
772 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
773 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TESTS_LOG_DRIVER_FLAGS) $(TESTS_LOG_DRIVER_FLAGS) -- $(TESTS_LOG_COMPILE) \
774 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
775
776 distdir: $(DISTFILES)
777         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
778         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
779         list='$(DISTFILES)'; \
780           dist_files=`for file in $$list; do echo $$file; done | \
781           sed -e "s|^$$srcdirstrip/||;t" \
782               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
783         case $$dist_files in \
784           */*) $(MKDIR_P) `echo "$$dist_files" | \
785                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
786                            sort -u` ;; \
787         esac; \
788         for file in $$dist_files; do \
789           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
790           if test -d $$d/$$file; then \
791             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
792             if test -d "$(distdir)/$$file"; then \
793               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
794             fi; \
795             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
796               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
797               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
798             fi; \
799             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
800           else \
801             test -f "$(distdir)/$$file" \
802             || cp -p $$d/$$file "$(distdir)/$$file" \
803             || exit 1; \
804           fi; \
805         done
806 check-am: all-am
807         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
808 check: check-am
809 all-am: Makefile
810 installdirs:
811 install: install-am
812 install-exec: install-exec-am
813 install-data: install-data-am
814 uninstall: uninstall-am
815
816 install-am: all-am
817         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
818
819 installcheck: installcheck-am
820 install-strip:
821         if test -z '$(STRIP)'; then \
822           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
823             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
824               install; \
825         else \
826           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
827             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
828             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
829         fi
830 mostlyclean-generic:
831         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
832         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
833         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
834
835 clean-generic:
836
837 distclean-generic:
838         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
839         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
840
841 maintainer-clean-generic:
842         @echo "This command is intended for maintainers to use"
843         @echo "it deletes files that may require special tools to rebuild."
844 clean: clean-am
845
846 clean-am: clean-generic clean-libtool mostlyclean-am
847
848 distclean: distclean-am
849         -rm -f Makefile
850 distclean-am: clean-am distclean-generic
851
852 dvi: dvi-am
853
854 dvi-am:
855
856 html: html-am
857
858 html-am:
859
860 info: info-am
861
862 info-am:
863
864 install-data-am:
865
866 install-dvi: install-dvi-am
867
868 install-dvi-am:
869
870 install-exec-am:
871
872 install-html: install-html-am
873
874 install-html-am:
875
876 install-info: install-info-am
877
878 install-info-am:
879
880 install-man:
881
882 install-pdf: install-pdf-am
883
884 install-pdf-am:
885
886 install-ps: install-ps-am
887
888 install-ps-am:
889
890 installcheck-am:
891
892 maintainer-clean: maintainer-clean-am
893         -rm -f Makefile
894 maintainer-clean-am: distclean-am maintainer-clean-generic
895
896 mostlyclean: mostlyclean-am
897
898 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
899
900 pdf: pdf-am
901
902 pdf-am:
903
904 ps: ps-am
905
906 ps-am:
907
908 uninstall-am:
909
910 .MAKE: check-am install-am install-strip
911
912 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
913         clean-libtool cscopelist-am ctags-am distclean \
914         distclean-generic distclean-libtool distdir dvi dvi-am html \
915         html-am info info-am install install-am install-data \
916         install-data-am install-dvi install-dvi-am install-exec \
917         install-exec-am install-html install-html-am install-info \
918         install-info-am install-man install-pdf install-pdf-am \
919         install-ps install-ps-am install-strip installcheck \
920         installcheck-am installdirs maintainer-clean \
921         maintainer-clean-generic mostlyclean mostlyclean-generic \
922         mostlyclean-libtool pdf pdf-am ps ps-am recheck tags-am \
923         uninstall uninstall-am
924
925 .PRECIOUS: Makefile
926
927
928 # Convenience targets:
929 lib:
930         @$(MAKE) $(AM_MAKEFLAGS) -C $(top_builddir)/src lib
931
932 update:
933         (cd $(srcdir) && ./update.sh)
934
935 -include $(top_srcdir)/git.mk
936
937 # Tell versions [3.59,3.63) of GNU make to not export all variables.
938 # Otherwise a system limit (for SysV at least) may be exceeded.
939 .NOEXPORT: